%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  mapview
%global packver   2.11.2
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          2.11.2
Release:          1%{?dist}%{?buildtag}
Summary:          Interactive Viewing of Spatial Data in R

License:          GPL (>= 3) | file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.6.0
Requires:         R-core >= 3.6.0
BuildArch:        noarch
BuildRequires:    R-CRAN-raster >= 3.6.3
BuildRequires:    R-CRAN-leaflet >= 2.0.0
BuildRequires:    R-CRAN-scales >= 0.2.5
BuildRequires:    R-methods 
BuildRequires:    R-CRAN-base64enc 
BuildRequires:    R-CRAN-htmltools 
BuildRequires:    R-CRAN-htmlwidgets 
BuildRequires:    R-CRAN-lattice 
BuildRequires:    R-CRAN-leafem 
BuildRequires:    R-CRAN-leafpop 
BuildRequires:    R-CRAN-png 
BuildRequires:    R-CRAN-satellite 
BuildRequires:    R-CRAN-servr 
BuildRequires:    R-CRAN-sf 
BuildRequires:    R-CRAN-sp 
Requires:         R-CRAN-raster >= 3.6.3
Requires:         R-CRAN-leaflet >= 2.0.0
Requires:         R-CRAN-scales >= 0.2.5
Requires:         R-methods 
Requires:         R-CRAN-base64enc 
Requires:         R-CRAN-htmltools 
Requires:         R-CRAN-htmlwidgets 
Requires:         R-CRAN-lattice 
Requires:         R-CRAN-leafem 
Requires:         R-CRAN-leafpop 
Requires:         R-CRAN-png 
Requires:         R-CRAN-satellite 
Requires:         R-CRAN-servr 
Requires:         R-CRAN-sf 
Requires:         R-CRAN-sp 

%description
Quickly and conveniently create interactive visualisations of spatial data
with or without background maps. Attributes of displayed features are
fully queryable via pop-up windows. Additional functionality includes
methods to visualise true- and false-color raster images and bounding
boxes.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
